Class | ConfigModule
In: | lib/rbot/core/config.rb
Parent: | CoreBotModule

Author: | Giuseppe "Oblomov" Bilotta <giuseppe.bilotta@gmail.com>

### Methods

bot_nick bot_rescan bot_save bot_status bot_version ctcp_listen handle_add handle_desc handle_get handle_help handle_list handle_rm handle_search handle_set handle_unset help save version_string

### Public Instance methods

bot_nick(m, param)
bot_rescan(m, param)
bot_save(m, param)
bot_status(m, param)
bot_version(m, param)

TODO is this one of the methods that disappeared when the bot was moved from the single-file to the multi-file registry?

     def bot_reg_stat(m, param)
       m.reply @registry.stat.inspect
     end

ctcp_listen(m)
handle_add(m, params)
handle_desc(m, params)
handle_get(m, params)
handle_help(m, params)
handle_list(m, params)
handle_rm(m, params)
handle_search(m, params)
handle_set(m, params)
handle_unset(m, params)
help(plugin, topic="")
save()
version_string()

[Validate]